<?php

	namespace VLW\Database\Tables\Search;

	use vlw\xEnum;

	enum SearchCategoryEnum {
		use xEnum;

		case WORK;
	}

	enum SearchTable: string {
		use xEnum;

		const NAME = "search";

		case QUERY    = "query";
		case ID       = "id";
		case TITLE    = "title";
		case SUMMARY  = "summary";
		case CATEGORY = "category";
		case HREF     = "href";
	}